import { defineComponent as t, createBlock as o, openBlock as a, unref as r, normalizeClass as s, withCtx as d, renderSlot as i } from "vue";
import n from "../../../components/HttpMethod/HttpMethod.vue.js";
const h = /* @__PURE__ */ t({
  __name: "SidebarHttpBadge",
  props: {
    method: {},
    active: { type: Boolean }
  },
  setup(p) {
    return (e, m) => (a(), o(r(n), {
      class: s([
        "flex items-center justify-end gap-1",
        "sidebar-heading-type",
        `sidebar-heading-type--${e.method.toLowerCase()}`,
        { "sidebar-heading-type-active": e.active }
      ]),
      method: e.method,
      property: "--method-color",
      short: ""
    }, {
      default: d(() => [
        i(e.$slots, "default", {}, void 0, !0)
      ]),
      _: 3
    }, 8, ["class", "method"]));
  }
});
export {
  h as default
};
